#ifndef __ACTOR_H__
#define __ACTOR_H__

#include <wiisprite.h>

using namespace wsp;

// Abstract interface class for animated objects
class Actor : public Sprite
{
public:
  virtual void activate() {};
  virtual void update() {};

  virtual f32 getX() = 0; // X coord
  virtual f32 getY() = 0; // Y coord
  virtual f32 getRotation() = 0; // Orientation (up is 0, increases CCW)
  virtual f32 getR() = 0; // Radius
  virtual int getT() = 0; // elapsed ticks
  virtual bool isActive() = 0;
};

#endif
